Bug 1502038 (CVE-2017-10388) - CVE-2017-10388 OpenJDK: use of unprotected sname in Kerberos client (Libraries, 8178794)
Summary: CVE-2017-10388 OpenJDK: use of unprotected sname in Kerberos client (Librarie...
Status: CLOSED ERRATA
Alias: CVE-2017-10388
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20171017,repo...
Keywords: Security
Depends On: 1499213 1499214 1499215 1499216 1499223 1499224 1499225 1499226 1503325 1503326 1503327 1503328 1503329 1503330 1503331 1503332 1503333 1503334 1503335 1503336 1515469 1515470 1515471 1515472 1516384 1516385 1516386 1516387
Blocks: 1499210
TreeView+ depends on / blocked
 
Reported: 2017-10-13 19:23 UTC by Tomas Hoger
Modified: 2018-08-01 17:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the Kerberos client implementation in the Libraries component of OpenJDK used the sname field from the plain text part rather than encrypted part of the KDC reply message. A man-in-the-middle attacker could possibly use this flaw to impersonate Kerberos services to Java applications acting as Kerberos clients.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 14:16:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2998 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2017-10-20 15:31:56 UTC
Red Hat Product Errata RHSA-2017:2999 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 20:18:50 UTC
Red Hat Product Errata RHSA-2017:3046 normal SHIPPED_LIVE Important: java-1.7.0-oracle security update 2017-12-14 20:24:06 UTC
Red Hat Product Errata RHSA-2017:3047 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-14 20:18:13 UTC
Red Hat Product Errata RHSA-2017:3264 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-11-27 23:04:39 UTC
Red Hat Product Errata RHSA-2017:3267 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-11-29 01:40:15 UTC
Red Hat Product Errata RHSA-2017:3268 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2017-11-29 01:43:15 UTC
Red Hat Product Errata RHSA-2017:3392 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2017-12-06 18:42:07 UTC
Red Hat Product Errata RHSA-2017:3453 normal SHIPPED_LIVE Important: java-1.8.0-ibm security update 2017-12-13 21:48:15 UTC

Description Tomas Hoger 2017-10-13 19:23:20 UTC
It was discovered that the Kerberos client implementation in the Libraries component of OpenJDK used the sname field from the plain text part rather than encrypted part of the KDC reply.  A man-in-the-middle attacker could possibly use this flaw to impersonate Kerberos services to Java applications acting as Kerberos clients.

Comment 1 Tomas Hoger 2017-10-13 19:26:28 UTC
Apparently another Kerberos implementation affected by the "Orpheus' Lyre" vulnerability:

https://www.orpheus-lyre.info/
https://portal.msrc.microsoft.com/en-us/security-guidance/advisory/CVE-2017-8495

Comment 3 Tomas Hoger 2017-10-17 20:47:10 UTC
Public now via Oracle CPU October 2017:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.1, 8u151, 7u161, and 6u171.

Comment 7 Tomas Hoger 2017-10-18 09:42:39 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/6805783b9875

Comment 8 errata-xmlrpc 2017-10-20 11:33:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2998 https://access.redhat.com/errata/RHSA-2017:2998

Comment 9 Tomas Hoger 2017-10-22 11:56:54 UTC
(In reply to Tomas Hoger from comment #1)
> Apparently another Kerberos implementation affected by the "Orpheus' Lyre"
> vulnerability:
> 
> https://www.orpheus-lyre.info/

The above page for the "Orpheus' Lyre" vulnerability was update to list this CVE and reference Oracle Oct 2017 CPU page.

Comment 10 errata-xmlrpc 2017-10-23 07:49:05 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999

Comment 11 errata-xmlrpc 2017-10-24 12:13:16 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047

Comment 12 errata-xmlrpc 2017-10-24 12:18:58 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046

Comment 15 errata-xmlrpc 2017-11-27 18:05:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3264 https://access.redhat.com/errata/RHSA-2017:3264

Comment 16 errata-xmlrpc 2017-11-28 20:41:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3267 https://access.redhat.com/errata/RHSA-2017:3267

Comment 17 errata-xmlrpc 2017-11-28 20:44:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3268 https://access.redhat.com/errata/RHSA-2017:3268

Comment 18 errata-xmlrpc 2017-12-06 13:43:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3392 https://access.redhat.com/errata/RHSA-2017:3392

Comment 19 errata-xmlrpc 2017-12-13 16:54:46 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453


Note You need to log in before you can comment on or make changes to this bug.